Summary: Skeleton of multi-process network server
Name: glite-lbjp-common-server-bones
Version: 2.2.4
Release: 1%{?dist}
Url: http://glite.cern.ch
License: ASL 2.0
Vendor: EMI
Group: System Environment/Libraries
BuildRequires: chrpath
BuildRequires: glite-lbjp-common-log-devel
BuildRequires: libtool
BuildRoot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
AutoReqProv: yes
Source: http://eticssoft.web.cern.ch/eticssoft/repository/emi/emi.lbjp-common.server-bones/%{version}/src/%{name}-2.2.4-1.src.tar.gz


%description
Multi-process network server. A server listening on multiple ports, passing
inbound requests to slaves and maintaining connections to specific slaves if
possible. The library provides callback handles on connection init, incoming
request,
etc.


%package devel
Summary: Development files for gLite L&B/JP common server-bones
Group: Development/Libraries
Requires: %{name}%{?_isa} = %{version}-%{release}


%description devel
This package contains development libraries and header files for gLite L&B/JP
common server-bones.


%prep
%setup -q


%build
/usr/bin/perl ./configure --thrflavour= --nothrflavour= --root=/ --prefix=/usr --libdir=%{_lib} --project=emi --module lbjp-common.server-bones --version 2.2.4-1
make


%check
make check


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name '*.la' -exec rm -rf {} \;
find $RPM_BUILD_ROOT -name '*.a' -exec rm -rf {} \;
find $RPM_BUILD_ROOT -name '*' -print | xargs -I {} -i bash -c "chrpath -d {} > /dev/null 2>&1" || echo 'Stripped RPATH'


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig


%postun -p /sbin/ldconfig


%files
%defattr(-,root,root)
/usr/%{_lib}/libglite_lbu_server_bones.so.2.2.4
/usr/%{_lib}/libglite_lbu_server_bones.so.2


%files devel
%defattr(-,root,root)
%dir /usr/include/glite
%dir /usr/include/glite/lbu
/usr/include/glite/lbu/srvbones.h
/usr/%{_lib}/libglite_lbu_server_bones.so


%changelog
* Wed Jun 05 2013 CESNET Product Teams <emi-lb@metacentrum.cz> - 2.2.4-1%{?dist}
- automatically generated package
